<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @package WordPress
 * @subpackage Twenty_Fifteen
 * @since Twenty Fifteen 1.0
 */

get_header(); ?>
<div class="wrap-404">
    <div id="primary" class="container">
    	<main id="main" class="site-main">
    
    		<section class="error-404 not-found text-center">
        		  <h1 class="error-code"><?php echo balanceTags( 'Error 404<br>Page Not Found', 'botheme' ); ?></h1>
        		  <p class="error-message"><?php esc_html_e( "You seem to be lost, Don't worry we'll get you back on the track.", 'botheme' ); ?></p>
        		  <a class="btn" href="<?php echo esc_url(home_url('/')); ?>"><?php esc_html_e('Back To Home', 'botheme'); ?></a>
    		</section><!-- .error-404 -->
    
    	</main><!-- .site-main -->
    </div><!-- .content-area -->
</div>
<?php get_footer(); ?>