<?php
/**
 * The template for displaying the footer
 *
 * Contains footer content and the closing of the #main and #page div elements.
 *
 * @package CMSSuperHeroes
 * @subpackage CMS Theme
 * @since 1.0.0
 */
?>
 
    </div><!-- .site-content -->
    <?php
    $theme_options = bo_get_theme_option();
    ?>  
    <footer id="colophon" class="site-footer">
        <?php

         if(isset($theme_options) && empty($theme_options['disable_footer_top'])):?>
        <div id="footer-top" class="footer-top">
        <?php if(!empty($theme_options['footer_top_background_color']['color']) || !empty($opt_theme_options['footer_top_background_color']['rgba'])) echo '<div class="bg-overlay"></div>';?>
            <div class="container">
                <div class="row">

                    <?php bo_footer_top(); ?>

                </div>
            </div>
        </div><!-- #footer-top -->
        <?php endif; ?>
        <div id="footer-bottom" class="footer-bottom">
            <div class="container">
                <div class="row">

                    <?php bo_footer_bottom(); ?>

                </div>
            </div>
        </div><!-- #footer-bottom -->

    </footer><!-- .site-footer -->

</div><!-- .site -->
<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>