<?php
vc_map(array(
    "name" => 'CMS Heading Typing',
    "base" => "cms_heading_typing",
    "icon" => "cs_icon_for_vc",
    "category" => esc_html__('CmsSuperheroes Shortcodes', 'botheme'),
    "description" => esc_html__('Show text typing effect', 'botheme'),
    "params" => array(
        array(
        	"type" => "textfield",
            "heading" => esc_html__("Text static",'botheme'),
            "param_name" => "text_static",
            "value" => "",
            "admin_label" => true,
        ),
        array(
            'type' => 'param_group',
            'heading' => esc_html__( 'Add rotating text', 'botheme' ),
            'param_name' => 'values',
            'value' => urlencode( json_encode( array(
                array(
                    'author_name' => esc_html__( 'Design', 'botheme' ),
                ),
            ) ) ),
            'params' => array(
                
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Rotating text', 'botheme' ),
                    'param_name' => 'rotating_text',
                    'admin_label' => true,
                ),
                 
            ),
        ), 
        array(
            'type' => 'checkbox',
            'heading' => esc_html__("Text white", 'botheme'),
            'param_name' => 'text_white',
            'value' => array(
                'Yes' => true
            ),
            'std' => false,
        ),
    )
));
class WPBakeryShortCode_cms_heading_typing extends CmsShortCode
{
    protected function content($atts, $content = null)
    {
        return parent::content($atts, $content);
         
    }
}