<?php
vc_map(array(
    "name" => 'Pricing Table',
    "base" => "cms_pricing",
    "icon" => "cs_icon_for_vc",
    "category" =>  esc_html__('CmsSuperheroes Shortcodes', 'botheme'),
    "description" =>  '',
    "params" => array(
         
        array(
            'type' => 'checkbox',
            'heading' => esc_html__("Is Active?", 'botheme'),
            'param_name' => 'is_active',
            'value' => array(
                'Yes' => true
            ),
            'std' => false,
        ),
        array(
            "type" => "textfield",
            "heading" =>esc_html__("Title",'botheme'),
            "param_name" => "title",
            'description' => esc_html( 'premium'),
        ),
        array(
            "type" => "textfield",
            "heading" =>esc_html__("Price",'botheme'),
            "param_name" => "price",
            'description' => esc_html( '29'),
        ), 
        array(
            "type" => "textfield",
            "heading" =>esc_html__("Unit",'botheme'),
            "param_name" => "unit",
            "value"=>"$",
            "std"=>"$",
        ), 
        array(
            "type" => "textfield",
            "heading" =>esc_html__("Sub title",'botheme'),
            "param_name" => "sub_title",
            'description' => esc_html( 'per month'),
        ),
         
        array(
            'type' => 'param_group',
            'heading' => esc_html__( 'Features', 'botheme' ),
            'param_name' => 'features',
            'description' => esc_html__( 'Enter values for feature', 'botheme' ),
            'value' => urlencode( json_encode( array(
                array(
                    'values' => esc_html__( 'Value', 'botheme' ),
                ),
            ) ) ),
            'params' => array(
                array(
                    "type" => "textfield",
                    "heading" =>esc_html__("Attribute name",'botheme'),
                    "param_name" => "feature_name",
                    'admin_label' => true,
                ),
                array(
                    'type' => 'checkbox',
                    'heading' => esc_html__("Removed", 'botheme'),
                    'param_name' => 'removed',
                    'value' => ''
                ), 
            ),
        ), 
        array(
            "type"        => "vc_link",
            "heading"     => esc_html__("URL (Link)",'botheme'),
            "param_name"  => "link",
            "value"       => "",
        ),
        array(
            "type"       => "dropdown",
            "heading"    => esc_html__("Type",'botheme'),
            "param_name" => "btn_type",
            "value"      => array(
                'Default' => 'btn-default',
                'Primary' => 'btn-primary',
                'Second'  => 'btn-secondary', 
                'White'   => 'btn-white',
            ),
            "std" => 'btn-default',
        ), 
        array(
            'type'       => 'css_editor',
            'heading'    => esc_html__( 'CSS box', 'botheme' ),
            'param_name' => 'css',
            'group'      => esc_html__( 'Design Options', 'botheme' ),
        ), 
    )
));

class WPBakeryShortCode_cms_pricing extends CmsShortCode
{
    protected function content($atts, $content = null){
        return parent::content($atts, $content);
    }
    
}

?>