<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package CMSSuperHeroes
 * @subpackage CMS Theme
 * @since 1.0.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('be-blog-loop'); ?>>
    <div class="entry-wrap">
    	<header class="entry-header">
    
    		<?php the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' ); ?>
    
    		<div class="entry-meta">
    
    			<?php bo_archive_detail(); ?>
    
    		</div><!-- .entry-meta -->
    	</header><!-- .entry-header -->
    
    
    	<div class="entry-content">
    		<?php
    		/* translators: %s: Name of current post */
            echo bo_limit_words(strip_tags(get_the_excerpt()));  
    		wp_link_pages( array(
    			'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'botheme' ) . '</span>',
    			'after'       => '</div>',
    			'link_before' => '<span>',
    			'link_after'  => '</span>',
    		) );
    		?>
    	</div><!-- .entry-content -->
    
    	<?php bo_archive_entry_footer();?>
    </div>
</article><!-- #post-## -->