
<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $title
 * @var $values
 * Shortcode class
 * @var $this WPBakeryShortCode_cms_images_carousel
 */
/* get Shortcode custom value */
    extract(shortcode_atts(array(
        'dots'          => 1,
    ), $atts));
    $css_class = '';
    $classes=array('cms-testimonial-carousel layout1');
    if(!empty($atts['css'])){
        $classes[]=vc_shortcode_custom_css_class($atts['css']);
    }
    $css_class = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( $classes ) ), $this->settings['base'], $atts ) );
    
$testimonial = vc_map_get_attributes( $this->getShortcode(), $atts );
$values = (array) vc_param_group_parse_atts( $testimonial['values'] );
 
?>
<div class="<?php echo esc_attr($css_class); ?><?php echo (isset($atts['white_color']) && $atts['white_color'] == '1') ? ' white-color' : '';?>">
<div class="cms-carousel owl-carousel <?php echo (isset($dots) && $dots==1)?' show-dots':'';?>" id="<?php echo esc_attr($atts['html_id']);?>">
    <?php
        foreach($values as $value){
             
            $image_url = '';
            if (!empty($value['image'])) {
                $attachment_image = wp_get_attachment_image_src($value['image'], 'thumbnail');
                $image_url = $attachment_image[0];
            } 
            
            $name_pos = '';
            if(!empty($value['author_name']) && !empty($value['author_position']))
                $name_pos .= '<span class="name">'.$value['author_name'].'</span>'.$value['author_position'];
            if(!empty($value['author_name']) && empty($value['author_position']))
                $name_pos .= '<span class="name">'.$value['author_name'].'</span>';
            if(empty($value['author_name']) && !empty($value['author_position']))
                $name_pos .= $value['author_position'];
            
            echo '<div class="quote-section">';
                echo '<blockquote>';
                echo '<i class="fa fa-quote-left"></i>';
                if(!empty($value['text'])){
                    echo '<p class="desc">'.esc_html($value['text']).'</p>';
                }
                if(!empty($value['author_name'])){
                    echo '<cite>'.$name_pos.'</cite>';
                }
                echo '</blockquote>';
                if(!empty($image_url)){
                    echo '<img src="'.esc_url($image_url).'"  class="testi-avatar" />';
                }
			echo '</div>';    
        }
    ?>
</div>
</div>
