<?php
vc_map(array(
    "name" => 'Cms Team',
    "base" => "cms_team",
    "icon" => "cs_icon_for_vc",
    "category" =>  esc_html__('CmsSuperheroes Shortcodes', 'botheme'),
    "description" =>  '',
    "params" => array(
        array(
            "type" => "attach_image",
            "param_name" => "image",
            "heading" => esc_html__("Image Item",'botheme'),
            "shortcode" => "cms_team",
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Name",'botheme'),
            "param_name" => "name",
        ), 
        array(
            "type" => "textfield",
            "heading" => esc_html__("Position",'botheme'),
            "param_name" => "position",
        ),
        array(
            "type" => "textarea",
            "heading" => esc_html__("Description",'botheme'),
            "param_name" => "desc",
        ),  
        array(
            "type" => "vc_link",
            "heading" => esc_html__("URL (Link)",'botheme'),
            "param_name" => "link",
            "value" => "",
        ),
        array(
            'type' => 'param_group',
            'heading' => esc_html__( 'Socials', 'botheme' ),
            'param_name' => 'socials',
            'description' => esc_html__( 'Enter values for social', 'botheme' ),
            'value' => urlencode( json_encode( array(
                array(
                    'values' => esc_html__( 'Social', 'botheme' ),
                ),
            ) ) ),
            'params' => array(
                array(
                    "type" => "textfield",
                    "heading" =>esc_html__("icon",'botheme'),
                    "param_name" => "icon",
                ),
                array(
                    "type" => "textfield",
                    "heading" =>esc_html__("link",'botheme'),
                    "param_name" => "link",
                ),
                 
            )
        ),
         
        array(
            'type' => 'css_editor',
            'heading' => esc_html__( 'CSS box', 'botheme' ),
            'param_name' => 'css',
            'group' => esc_html__( 'Design Options', 'botheme' ),
        ),
    )
));

class WPBakeryShortCode_cms_team extends CmsShortCode
{
    protected function content($atts, $content = null){
        $html_id = cmsHtmlID('cms-team');
         
        $atts['html_id'] = $html_id; 
        return parent::content($atts, $content);
    }
  
}

?>