<?php
/**
 * Add row params
 * 
 * @author Knight
 * @since 1.0.0
 */
vc_add_param("vc_column_text",array(
	"type" => "dropdown",
	"heading" => esc_html__("Font family",'botheme'),
	"param_name" => "font_family",
	"value" => array(
        esc_html__('Default (body font)','botheme') => '',
        esc_html__('Work Sans','botheme')  => 'work-sans',
    ),
    "std" => '',
    "group" => esc_html__("Other setting",'botheme')
));
vc_add_param("vc_column_text", array(
    "type" => "textfield",
    "heading" => esc_html__("Font size",'botheme'),
    "param_name" => "font_size",
    "value" => "",
    "group" => esc_html__("Other setting",'botheme')
));
vc_add_param("vc_column_text", array(
    "type" => "textfield",
    "heading" => esc_html__("Line height",'botheme'),
    "param_name" => "line_height",
    "value" => "",
    "group" => esc_html__("Other setting",'botheme')
));
vc_add_param("vc_column_text",array(
	"type" => "dropdown",
	"heading" => esc_html__("Font weight",'botheme'),
	"param_name" => "font_weight",
	"value" => array(
        esc_html__('Default','botheme') => '',
        '200'  => '200',
        '300'  => '300',
        '400' => '400',
        '500'  => '500',
        '600'  => '600',
        '700' => '700',
        '800' => '800',
        '900' => '900',
    ),
    "std" => '',
    "group" => esc_html__("Other setting",'botheme')
));
vc_add_param('vc_column_text', array(
    "type" => "colorpicker",
    "class" => "",
    "heading" => esc_html__("Color", 'botheme'),
    "param_name" => "color",
    "value" => "",
	'group' => esc_html__("Other setting",'botheme'),
));
