<?php 
    $atts = vc_map_get_attributes( $this->getShortcode(), $atts );
    extract( $atts );
    $classes=array('cms-cta',vc_shortcode_custom_css_class( $css ));
    $link = (isset($atts['link'])) ? $atts['link'] : '';
    $link = vc_build_link( $link );
    $use_link = false;
    if ( strlen( $link['url'] ) > 0 ) {
        $use_link = true;
        $a_href = $link['url'];
        $a_title = !empty($link['title']) ? $link['title'] : esc_html__('Title','botheme');
        $a_target = strlen( $link['target'] ) > 0 ? $link['target'] : '_self';
    }
    if(!empty($atts['css'])){
        $classes[]=vc_shortcode_custom_css_class($atts['css']);
    }
    $css_class = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( $classes ) ), $this->settings['base'], $atts ) );
    
    if(!empty($title_color)){
        $style ='style="color:'.$title_color.';"';
    }else{
        $style = '';
    }
    $button_type_cls = !empty($button_type) ? $button_type : '';
    $button_size_cls = !empty($button_size) ? $button_size : '';
     
?>
 
<div class="<?php echo esc_attr($css_class); ?>">
    <div class="cta-wrap row">
        <?php if(!empty($title)):?>
        <div class="col-title col-xs-12 col-sm-12 col-md-7 col-lg-7">
            <h3 class="cta-title" <?php echo ''.$style;?>><?php echo esc_html($title);?></h3>
        </div>
        <?php endif; ?>  
        <?php if($use_link):?>
        <div class="col-action col-xs-12 col-sm-12 col-md-5 col-lg-5">
            <a class="<?php echo esc_attr($button_type_cls);?>  <?php echo esc_attr($button_size_cls);?>" href="<?php echo esc_url($a_href);?>" target="<?php echo esc_attr($a_target);?>"><?php echo esc_html($a_title);?></a>
        </div>
        <?php endif; ?>   
    </div> 
</div>
 
	 
             

